## apt 1.0.1ubuntu2

=== test/Makefile ===
# -*- make -*-

# This is the top level test makefile for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: startup headers library clean veryclean all binary program doc test update-po
startup all clean veryclean binary program dirs test update-po manpages debiandoc:
	$(MAKE) -C libapt $@
	$(MAKE) -C interactive-helper $@

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity
maintainer-clean dist-clean distclean pristine sanity: veryclean

=== debian/changelog ===
apt (1.0.1ubuntu2) trusty; urgency=low

  * fix symlink of etc/apt/apt.conf.d/01autoremove when runnning in
    the auto-pkg-test environment

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Apr 2014 14:24:25 +0200

apt (1.0.1ubuntu1) trusty; urgency=low

  * merge with the debian/sid 1.0.1 version
    (LP: #1302033)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Apr 2014 17:48:58 +0200

apt (1.0.1) unstable; urgency=medium

  [ Michael Vogt ]
  * Fix crash in "apt list" when a sources.list file is unreable
    (Closes: 743413)
  * make apt search case-insensitive by default
  * Fix possible race when stunnel/aptwebserver create their PID files
    in the tests
  * Fix insecure file permissions when using FileFd with OpenMode::Atomic
    (LP: #1304657)

  [ Julian Andres Klode ]
  * Version the Breaks/Replaces for sun-java{5,6}-jdk (LP: #1302736)
    (Closes: #743616)
  * Add versioned openjdk-6-jdk breaks

  [ Josef Vitu ]
  * apt: Minor typo in 'apt' man page (closes: #743657)

 -- Michael Vogt <mvo@debian.org>  Thu, 10 Apr 2014 09:48:56 +0200

apt (1.0) unstable; urgency=low

  The "Happy birthday and 10000b years in the making" release

  [ Julian Andres Klode ]
  * apt-inst: Do not try to create a substring of an empty string in 
    error reporting (LP: #1288718)

  [ Beatrice Torracca ]
  * Italian manpages translation update (Closes: 741867)

  [ Kenshi Muto ]
  * Japanese programs translation update (Closes: 742255)

  [ David Kalnischkies ]
  * continue reading in xz even if it outputs nothing
  * only consider versioned kernel packages in autoremove (Closes: 741962)
  * correct some reported typos in /etc/cron.daily/apt (Closes: 702016)
  * ensure proper teardown in dpkg error cases (Closes: 738969)
  * update symbols file to include new symbols from 0.9.16
  * do IsInstallOk call in MarkInstall unconditionally
  * discard candidates via IsInstallOk to allow override (Closes: 740750)

  [ Michael Vogt ]
  * install apt binary
  * add apt.8.xml manpage
  * make fancy-progress fg/bg color configurable via something like
    Dpkg::Progress-Fancy::Progress-{bg,fg}="%1b[30m"
    (thanks to Tim Wasser for the suggestion)
  * Add progressbar to "Dpkg::Progress-Fancy"
  * fix documentation for APT::Periodic::MaxSize "0" (closes: #740551)
  * Use mkstemp() in apt-extracttemplaes (closes: #741627)
  * Add new Debug::RunScripts debug option
  * do not crash on SIGPIPE in pkgDPkgPM::RunScriptsWithPkgs()
  * enable DPkg::Progress-Fancy by default when "apt" is used
  * refresh po/pot and unfuzzy apt-extracttemplate manpage change
  * remove no longer needed apt.7 page
  * install "apt" binary by default
  * add sun-java{5,6}-jdk to breaks/replaces as they provided a 
    "apt" binary as well

  [ Trần Ngọc Quân ]
  * l10n: vi.po (623t): Update Vietnamese translation
  * debian: Add default compress option to xz

 -- Michael Vogt <mvo@debian.org>  Tue, 01 Apr 2014 15:48:46 +0200

apt (0.9.16.1) unstable; urgency=medium

  [ Chris Leick ]
  * Updated German doc translation

  [ Julian Andres Klode ]
  * Fix handling of autoclosing for compressed files (Closes: #741685)

 -- Julian Andres Klode <jak@debian.org>  Sat, 15 Mar 2014 18:05:25 +0100

apt (0.9.16) unstable; urgency=medium

  [ Michael Vogt ]
  * add hashsum support in apt-helper download-file and 
    add more tests

  [ Trần Ngọc Quân ]
  * l10n: vi.po (624t): Update Vietnamese translation

  [ David Kalnischkies ]
  * propagate a negative score point along breaks/conflicts
  * check version before adding scores in resolver
  * autogenerate makefile for vendor system
  * add default and override handling for Cnf::FindVector
  * support DEB_BUILD_PROFILES and -P for build profiles
  * do not configure already unpacked packages needlessly (Closes: 740843)
  * if mountpoint has a ".disk" directory it is mounted
  * no error for non-existing mountpoints in MountCdrom
  * apt-cdrom ident shouldn't be interactive (Closes: 740673)
  * support very long mtab entries in mountpoint discovery
  * msgstr with elipses need three dots
  * cmdline parsing: apt-config is not apt-cdrom
  * use a configurable list of versioned kernel packages
  * support kfreebsd and hurd in the kernel hook
  * add ".*-{kernel,modules}-$KERVER" matcher for hook
  * ensure that a dot is a dot in the hook
  * use liblzma-dev to provide xz/lzma support
  * use the pretty fullname of a pkg as download desciption

  [ Johannes Schauer ]
  * implement BuildProfileSpec support as dpkg has in 1.17.2 (Closes: 661537)

  [ Wojciech Górski ]
  * fix polish --install-suggests text in apt-get manpage (Closes: 741056)

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Mar 2014 09:45:05 +0100

apt (0.9.15.5) unstable; urgency=medium

  [ Michael Vogt ]
  * vendor/tanglu/makefile: add missing clean/sources.list
  * run the acquire tests with the new apt-helper binary, this
    fixes the autopkgtest failures

  [ Martin Pitt ]
  * Fix autopkgtest missing dependencies and locale (closes: #739988)

 -- Michael Vogt <mvo@debian.org>  Fri, 28 Feb 2014 08:44:25 +0100

apt (0.9.15.4ubuntu1) trusty; urgency=low

  * merge with debian/sid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 23 Feb 2014 00:45:20 +0100

apt (0.9.15.4) unstable; urgency=low

  [ Michael Vogt ]
  * remove auto-generated apt-key and sources.list on clean (closes: 739749)
  * add testcase for Bug#718329
  * various fixes for ADT failures
  
  [ Jon Severinsson ]
  * add apt-vendor information for tanglu

  [ Guillem Jover ]
  * ExtractTar: Allow an empty decompressor program
  * DebFile: Refactor ExtractTarMember() out from ExtractArchive()
  * Add support for data.tar, control.tar and control.tar.xz
  * debian: Add debDebFile::ExtractTarMember to the symbols file
  * Fix typos in documentation (codespell)

 -- Michael Vogt <mvo@debian.org>  Sun, 23 Feb 2014 00:27:12 +0100

apt (0.9.15.3) unstable; urgency=medium

  [ Michael Vogt ]
  * disable https->http redirects in libcurl, thanks to Julien Cristau


=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr 
Depends: @, build-essential, fakeroot, wget, dpkg-dev, debhelper, libdb-dev, gettext, libcurl4-gnutls-dev, zlib1g-dev, libbz2-dev, xsltproc, docbook-xsl, docbook-xml, po4a, autotools-dev, autoconf, automake, doxygen, debiandoc-sgml, stunnel4, libdb-dev

## apt 1.0.1ubuntu2.19

=== Makefile ===
# -*- make -*-

# This is the top level make file for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: default
default: startup all

.PHONY: headers library clean veryclean all binary program doc test update-po
all headers library clean veryclean binary program doc manpages debiandoc test update-po startup dirs:
	$(MAKE) -C vendor $@
	$(MAKE) -C apt-pkg $@
	$(MAKE) -C apt-inst $@
	$(MAKE) -C apt-private $@
	$(MAKE) -C methods $@
	$(MAKE) -C cmdline $@
	$(MAKE) -C ftparchive $@
	$(MAKE) -C dselect $@
	$(MAKE) -C doc $@
	$(MAKE) -C po $@
	$(MAKE) -C test $@

all headers library clean veryclean binary program doc manpages debiandoc test update-po: startup dirs

dirs: startup

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity
maintainer-clean dist-clean distclean pristine sanity: veryclean
veryclean: clean

# The startup target builds the necessary configure scripts. It should
# be used after a CVS checkout.
CONVERTED=environment.mak include/config.h include/apti18n.h build/doc/Doxyfile makefile
include buildlib/configure.mak
$(BUILDDIR)/include/config.h: buildlib/config.h.in
$(BUILDDIR)/include/apti18n.h: buildlib/apti18n.h.in
$(BUILDDIR)/environment.mak: buildlib/environment.mak.in
$(BUILDDIR)/makefile: buildlib/makefile.in

=== debian/changelog ===
apt (1.0.1ubuntu2.19) trusty-security; urgency=medium

  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 18 Jan 2019 16:35:08 +0100

apt (1.0.1ubuntu2.18) trusty; urgency=medium

  * ExecFork: Use /proc/self/fd to determine which files to close
    (Closes: #764204) (LP: #1332440).

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 09 Apr 2018 15:32:09 +0200

apt (1.0.1ubuntu2.17) trusty-security; urgency=high

  * SECURITY UPDATE: gpgv: Check for errors when splitting files (CVE-2016-1252)
    Thanks to Jann Horn, Google Project Zero for reporting the issue
    (LP: #1647467)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 08 Dec 2016 15:31:29 +0100

apt (1.0.1ubuntu2.15) trusty; urgency=medium

  * Fixes failure to download the Package index file when using
    mirror:// URL in sources.list and the archive fails to profile
    a file. APT would try the next archive in the list for .deb
    packages but did not retry when the index file failed to download.
    (LP: #1625667)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 20 Sep 2016 17:02:03 +0200

apt (1.0.1ubuntu2.14) trusty; urgency=medium

  * When using the https transport mechanism, $no_proxy is ignored if apt is
    getting it's proxy information from $https_proxy (as opposed to
    Acquire::https::Proxy somewhere in apt config). If the source of proxy
    information is Acquire::https::Proxy set in apt.conf (or apt.conf.d),
    then $no_proxy is honored. This patch makes the behavior similar for
    both methods of setting the proxy. (LP: #1575877)

 -- Patrick Cable <pc@pcable.net>  Tue, 17 May 2016 13:45:06 -0700

apt (1.0.1ubuntu2.13) trusty; urgency=medium

  * Recheck Pre-Depends satisfaction in SmartConfigure, to avoid unconfigured
    Pre-Depends (which dpkg later fails on). Fixes upgrade failures of
    systemd, util-linux, and other packages with Pre-Depends. Many thanks to
    David Kalnischkies for figuring out the patch and Winfried PLappert for
    testing! Patch taken from Debian git. (LP: #1560797)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Apr 2016 12:32:43 +0200

apt (1.0.1ubuntu2.12) trusty; urgency=medium

  [ Colin Watson ]
  * Fix lzma write support to handle "try again" case (closes: #751688,
    LP: #1553770).

  [ David Kalnischkies ]
  * Handle moved mmap after UniqFindTagWrite call (closes: #753941,
    LP: #1445436).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 06 Mar 2016 19:01:04 +0000

apt (1.0.1ubuntu2.11) trusty; urgency=medium

  * apt-pkg/packagemanager.cc:
    - fix incorrect configure ordering in the SmartConfigure step by skipping
      packages that do not need immediate action. (LP: #1347721, #1497688)

 -- Brian Murray <brian@ubuntu.com>  Fri, 08 Jan 2016 16:09:22 -0800

apt (1.0.1ubuntu2.10) trusty; urgency=medium

  * Fix regression from the previous upload by ensuring we're actually
    testing for the right member before iterating on it (LP: #1480592)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 01 Aug 2015 04:52:49 -0600

apt (1.0.1ubuntu2.9) trusty; urgency=medium

  * Fix regression in the Never-MarkAuto-Sections feature caused by the
    previous auto-removal fix, with inspiration drawn from the patches
    and conversation from http://bugs.debian.org/793360 (LP: #1479207)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 29 Jul 2015 21:23:49 -0600

apt (1.0.1ubuntu2.8) trusty-proposed; urgency=low

  * fix crash for packages that have no section in their instVersion
    (LP: #1449394)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Apr 2015 09:00:52 +0200

apt (1.0.1ubuntu2.7) trusty-proposed; urgency=low

  * fix auto-removal behavior (thanks to Adam Conrad)
    LP: #1429041

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Mar 2015 14:55:31 +0100

apt (1.0.1ubuntu2.6) trusty-proposed; urgency=medium

  * apt-pkg/deb/dpkgpm.cc:
    - update string matching for dpkg I/O errors. (LP: #1363257)
    - properly parse the dpkg status line so that package name is properly set
      and an apport report is created. Thanks to Anders Kaseorg for the patch.
      (LP: #1353171)

 -- Brian Murray <brian@ubuntu.com>  Wed, 08 Oct 2014 14:01:41 -0700

apt (1.0.1ubuntu2.5) trusty-security; urgency=low

  * SECURITY UPDATE:
      - cmdline/apt-get.cc: fix insecure tempfile handling in
        apt-get changelog (CVE-2014-7206). Thanks to Guillem Jover

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Oct 2014 10:38:50 +0200

apt (1.0.1ubuntu2.4.1) trusty-security; urgency=low

  * SECURITY UPDATE:
    - fix potential buffer overflow, thanks to the
      Google Security Team (CVE-2014-6273)
  * Fix regression from the previous upload when file:/// sources
    are used and those are on a different partition than
    the apt state directory
  * Fix regression when Dir::state::lists is set to a relative path
  * Fix regression when cdrom: sources got rewriten by apt-cdrom add

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Sep 2014 09:04:44 +0200

apt (1.0.1ubuntu2.3) trusty-security; urgency=low

  * SECURITY UPDATE:
    - incorrect invalidating of unauthenticated data (CVE-2014-0488)
    - incorect verification of 304 reply (CVE-2014-0487)
    - incorrect verification of Acquire::Gzip indexes (CVE-2014-0489)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Sep 2014 08:23:35 +0200

apt (1.0.1ubuntu2.1) trusty-security; urgency=low

  * SECURITY UPDATE: incorrect apt-get source validation (LP: #1329274)
    - warn if not authenticated in apt-private/private-download.*,
      cmdline/apt-get.cc, added regression test to
      test/integration/test-apt-get-source-authenticated.
    - CVE-2014-0478

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jun 2014 13:57:38 +0200

=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders:  Michael Vogt <mvo@debian.org>, Christian Perrier <bubulle@debian.org>, 
 Julian Andres Klode <jak@debian.org>
Standards-Version: 3.9.5
Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 8.1.3~), libdb-dev,
 gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.4~),
 zlib1g-dev, libbz2-dev, liblzma-dev,
 xsltproc, docbook-xsl, docbook-xml, po4a (>= 0.34-2),
 autotools-dev, autoconf, automake
Build-Depends-Indep: doxygen, debiandoc-sgml, graphviz
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Git: git://anonscm.debian.org/apt/apt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt/apt.git
XS-Testsuite: autopkgtest

Package: apt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${apt:keyring}, gnupg
Replaces: manpages-pl (<< 20060617-3~), manpages-it (<< 2.80-4~), sun-java6-jdk (>> 0), sun-java5-jdk (>> 0), openjdk-6-jdk (<< 6b24-1.11-0ubuntu1~)
Breaks: manpages-pl (<< 20060617-3~), manpages-it (<< 2.80-4~), sun-java6-jdk (>> 0), sun-java5-jdk (>> 0), openjdk-6-jdk (<< 6b24-1.11-0ubuntu1~)
Conflicts: python-apt (<< 0.7.93.2~)
Suggests: aptitude | synaptic | wajig, dpkg-dev (>= 1.17.2), apt-doc, python-apt
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg4.12
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: apt (<< 0.9.4~), libapt-inst1.5 (<< 0.9.9~)
Section: libs
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http, rsh as well as an interface to add more transports like
    https (apt-transport-https) and debtorrent (apt-transport-debtorrent).

Package: libapt-inst1.5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: deb package format runtime library
 This library provides methods to query and extract information
 from deb packages. This includes the control data and the package
 file content.

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${libapt-pkg-name} (= ${binary:Version}), ${libapt-inst-name} (= ${binary:Version}), ${misc:Depends}, zlib1g-dev
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Description: https download transport for APT
 This package enables the usage of 'deb https://foo distro main' lines
 in the /etc/apt/sources.list so that all package managers using the
 libapt-pkg library can access metadata and packages available in sources
 accessible over https (Hypertext Transfer Protocol Secure).
 .
 This transport supports server as well as client authentication
 with certificates.

## apt 1.0.1ubuntu2.23

=== debian/changelog ===
apt (1.0.1ubuntu2.23) trusty; urgency=medium

  * Fix regression in pinning of local-only package versions (LP: #1821308)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 25 Mar 2019 11:22:42 +0100

apt (1.0.1ubuntu2.22) trusty; urgency=medium

  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.2.31

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 12 Mar 2019 15:15:54 +0100

apt (1.0.1ubuntu2.21) trusty; urgency=medium

  [ Julian Andres Klode ]
  * travis CI: Use docker container to get useful results
  * fix and non-silent fail dpkg-overwrite error test (LP: #1817088)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

  [ David Kalnischkies ]
  * ftparchive/writer.cc: use a std::vector instead of hardcoded array
    (LP: #1817048)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 01 Mar 2019 12:43:37 +0100

apt (1.0.1ubuntu2.20) trusty; urgency=medium

  [ Julian Andres Klode ]
  * Fix crashes in apt search, cache file (LP: #1815187)
  * Clean up some build artifacts and regenerate the po files

  [ Heitor R. Alves de Siqueira ]
  * backport "do not segfault in cache generation on mmap failure"
    (Closes: 803417) (LP: #1815129)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 08 Feb 2019 13:12:26 +0100

## apt 1.0.1ubuntu2.23+7.0trisquel3

=== debian/changelog ===
apt (1.0.1ubuntu2.23+7.0trisquel3) belenos; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 02 Apr 2019 10:11:31 +0000

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# build in verbose mode by default to make it easy to diangose issues
export NOISY=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# See below
-include build/environment.mak

ifneq (,$(shell which dpkg-buildflags))
  export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
  export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
  export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
else
  ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    export CXXFLAGS = -O0 -g -Wall
  else
    export CXXFLAGS = -O2 -g -Wall
  endif
endif

# Default rule
build:

PKG=apt
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname --machine) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
include buildlib/libversion.mak

# Determine which library package names to use
LIBAPT_PKG=libapt-pkg$(LIBAPTPKG_MAJOR)
LIBAPT_INST=libapt-inst$(LIBAPTINST_MAJOR)

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

build-binary: build/build-binary-stamp
build-debiandoc: build/build-debiandoc-stamp
build-manpages: build/build-manpages-stamp

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.ac
build/configure-stamp: configure buildlib/config.sub buildlib/config.guess
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	cd build && CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" ../configure $(confflags)
	touch $@

build/build-binary-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	# compat symlink for the locale split
	mkdir -p build/usr/share 
	cd build/usr/share && ln -f -s ../../locale .
	# compile and run tests
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	$(MAKE) test
else
	@echo "Tests DISABLED"
endif
	touch $@

build/build-debiandoc-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) debiandoc
	touch $@

build/build-manpages-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) manpages
	touch $@

clean:
	dh_testdir
	dh_clean

	[ ! -f Makefile ] || $(MAKE) clean distclean
	rm -rf build
	rm -f debian/$(LIBAPT_PKG).install debian/$(LIBAPT_INST).install \
	      debian/libapt-pkg-dev.install debian/apt.install
	test ! -L buildlib/config.guess || rm -f buildlib/config.guess
	test ! -L buildlib/config.sub || rm -f buildlib/config.sub

debian/%.install: debian/%.install.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

# Build architecture-independent files here.
libapt-pkg-doc: build-debiandoc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#
	rm -f $(BLD)/doc/doxygen/html/*.map $(BLD)/doc/doxygen/html/*.md5
	dh_installdocs -p$@ $(BLD)/docs/design* \
			    $(BLD)/docs/dpkg-tech* \
			    $(BLD)/docs/files* \
			    $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt \
			    doc/style.txt \
			    $(BLD)/doc/doxygen/html
	dh_installexamples -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@ -X.xhtml
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-debiandoc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text \
			    $(BLD)/docs/guide*.html \
			    $(BLD)/docs/offline*.text \
			    $(BLD)/docs/offline*.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

apt_MANPAGES = apt apt-cache apt-cdrom apt-config apt-get apt-key apt-mark apt-secure apt apt.conf apt_preferences sources.list
apt: build-binary build-manpages debian/apt.install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# apt install
#
	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
	cp debian/apt.conf.changelog debian/$@/etc/apt/apt.conf.d/20changelog
	cp share/trisquel-archive.gpg debian/$@/usr/share/$@
	cp debian/apt.auto-removal.sh debian/$@/etc/kernel/postinst.d/apt-auto-removal
	chmod 755 debian/$@/etc/kernel/postinst.d/apt-auto-removal

	# make rosetta happy and remove pot files in po/ (but leave stuff
	# in po/domains/* untouched) and cp *.po into each domain dir
	rm -f build/po/*.pot
	rm -f po/*.pot

	dh_install -p$@ --sourcedir=$(BLD)

	# Remove the bits that are in apt-utils
	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS) dump-solver internal-solver)

	# https has its own package
	rm debian/$@/usr/lib/apt/methods/https

	# move the mirror failure script in place
	#mv debian/$@/usr/bin/apt-report-mirror-failure \
	#   debian/$@/usr/lib/apt/apt-report-mirror-failure \

	# move the apt-helper in place
	mv debian/$@/usr/bin/apt-helper debian/$@/usr/lib/apt/apt-helper 

	dh_bugfiles -p$@
	dh_lintian -p$@
	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installman -p$@ $(wildcard $(patsubst %,doc/en/%.[158],$(apt_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt_MANPAGES)))
	dh_installcron -p$@
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_installlogrotate -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@ -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build-binary debian/libapt-pkg-dev.install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -Vlibapt-pkg-name=$(LIBAPT_PKG) -Vlibapt-inst-name=$(LIBAPT_INST)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-utils_MANPAGES = apt-sortpkgs apt-ftparchive apt-extracttemplates
apt-utils: build-binary build-manpages
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) debian/$@/usr/bin/
	cp $(BLD)/bin/apt-dump-solver debian/$@/usr/lib/apt/solvers/dump
	cp $(BLD)/bin/apt-internal-solver debian/$@/usr/lib/apt/solvers/apt

	dh_install -p$@ --sourcedir=$(BLD)
	dh_link -p$@
	dh_installdocs -p$@
	dh_installexamples -p$@

	# Install the man pages..
	dh_installman -p$@ $(wildcard $(patsubst %,doc/en/%.[158],$(apt-utils_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt-utils_MANPAGES)))

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@

## apt 1.0.1ubuntu2.24

=== debian/changelog ===
apt (1.0.1ubuntu2.24) trusty; urgency=medium

  [ Michael Vogt ]
  * Ensure we have a Policy in CacheFile.BuildDepCache() (LP: #1847496)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 10 Oct 2019 11:24:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -188,7 +188,7 @@
 #
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
 	cp debian/apt.conf.changelog debian/$@/etc/apt/apt.conf.d/20changelog
-	cp share/trisquel-archive.gpg debian/$@/usr/share/$@
+	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
 	cp debian/apt.auto-removal.sh debian/$@/etc/kernel/postinst.d/apt-auto-removal
 	chmod 755 debian/$@/etc/kernel/postinst.d/apt-auto-removal

## apt 1.0.1ubuntu2.24+esm3

=== debian/changelog ===
apt (1.0.1ubuntu2.24+esm3) trusty-security; urgency=medium

  [ Julian Andres Klode ]
  * SECURITY UPDATE: Integer overflow in parsing (LP: #1899193)
    - apt-pkg/contrib/arfile.cc: add extra checks.
    - apt-pkg/contrib/tarfile.cc: limit tar item sizes to 128 GiB
    - apt-pkg/deb/debfile.cc: limit control file sizes to 64 MiB
    - test/*: add tests.
    - CVE-2020-27350
  * Additional hardening:
    - apt-pkg/contrib/tarfile.cc: Limit size of long names and links to 1 MiB

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 08 Dec 2020 09:44:10 -0300

apt (1.0.1ubuntu2.24+esm1) trusty-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read in ar, tar implementations (LP: #1878177)
    - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read in member name
    - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read on unterminated
      member names in error path
    - apt-pkg/contrib/extracttar.cc: Fix out-of-bounds read on unterminated
      member names in error path
    - CVE-2020-3810

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 28 May 2020 12:40:38 -0300

## apt 1.0.9.3

=== debian/changelog ===
apt (1.0.9.3) unstable; urgency=medium

  [ josch ]
  * implement the updated build profile spec

  [ Michael Vogt ]
  * methods/rsh.cc: replace strcat with std::string (Closes: #76442)

  [ Guillem Jover ]
  * Update Status field values handling

  [ David Kalnischkies ]
  * don't cleanup cdrom files in apt-get update (Closes: 765458)

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Oct 2014 19:49:38 +0200

apt (1.0.9.2) unstable; urgency=medium

  [ Michael Vogt ]
  * test/integration/test-apt-update-file: improve test
  * Fix regression when copy: is used for a relative path (Closes: #762160)
  * generalize Acquire::GzipIndex to support all compressions that
    apt supports
  * Fix regression for cdrom: sources from latest security update
  * Ensure that iTFRewritePackageOrder is "MD5sum" to match 
    apt-ftparchive
  * debian/rules: add hardening=+all.
    Thanks to Simon Ruderich, Markus Waldeck

  [ Holger Wansing ]
  * German program translation update (Closes: 762223)

  [ Jérémy Bobbio ]
  * disable timestamps in the footer of docs by doxygen

  [ Trần Ngọc Quân ]
  * Set STRIP_FROM_PATH for doxygen

  [ Guillem Jover ]
  * apt-get: Create the temporary downloaded changelog inside tmpdir
    (closes: #763780) (CVE-2014-7206)

 -- Michael Vogt <mvo@debian.org>  Thu, 02 Oct 2014 22:05:39 +0200

apt (1.0.9.1) unstable; urgency=high

  [ Michael Vogt ]
  * Allow override of Proxy-Auto-Detect by the users configuration
    (Closes: 759264)
  * fix ci autopkgtest
  * fix regression from 1.0.9 when file:/// source are used and
    those are on a different partition than the apt state directory
    and add regression test

  [ Trần Ngọc Quân ]
  * l10n: vi.po (636t): Update program translation

  [ Chris Leick ]
  * Updated German documentation translation

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 761394)

 -- Michael Vogt <mvo@debian.org>  Tue, 16 Sep 2014 20:52:25 +0200

apt (1.0.9) unstable; urgency=high

  * SECURITY UPDATE:
    - incorrect invalidating of unauthenticated data (CVE-2014-0488)
    - incorect verification of 304 reply (CVE-2014-0487)
    - incorrect verification of Acquire::Gzip indexes (CVE-2014-0489)

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Sep 2014 08:34:46 +0200

apt (1.0.8) unstable; urgency=medium

  [ Holger Wansing ]
  * German program translation update (Closes: 758837)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: 759608)

  [ Warren He ]
  * initialize iPolicyBrokenCount in DepCache::Update (Closes: 758397)

  [ Andreas Oberritter ]
  * Avoid yielding blank lines with APT::Cmd::use-format=true

  [ Michael Vogt ]
  * Make Proxy-Auto-Detect check for each host (Closes: #759264)
  * Add testcase for apt list --all-versions
  * * apt-pkg/deb/dpkgpm.cc:
    - update string matching for dpkg I/O errors. (LP: #1363257)
    - properly parse the dpkg status line so that package name 
      is properly set and an apport report is created. Thanks 
      to Anders Kaseorg for the patch  (LP: #1353171)
  * Use heap to allocate PatternMatch to avoid potential stack overflow
    (Closes: 759612)
  * Run autopkgtest tests with "env -i" to avoid pollution from the host env
    (Closes: #759655)
  * test/integration/test-ubuntu-bug-346386-apt-get-update-paywall: 
    - use downloadfile() to fix test failure
  * Fix incorrect upgradable listing in "apt list" 
    (thanks to Michael Musenbrock) (Closes: #753297)
  * apt-pkg/cachefile.cc:
    - ensure we have a Policy in CacheFile.BuildDepCache()
  * methods/http.cc:
    - Improve Debug::Acquire::http debug output

  [ Dimitri John Ledkov ]
  * apt-ftparchive: make Packages & Sources generation optional, 
    during Generate call

  [ David Kalnischkies ]
  * support regular expressions in 'apt search'
  * implement --full in apt search
  * fix progress report for upgrade and reinstall
  * rework PTY magic to fix stair-stepping on kfreebsd (Closes: 759684)
  * don't call pager in non-terminals for changelog (Closes: 755040)

 -- Michael Vogt <mvo@debian.org>  Tue, 09 Sep 2014 20:09:11 +0200

apt (1.0.7) unstable; urgency=medium

  [ Michael Vogt ]
  * add REAMDE.md
  * StringToBool: only act if the entire string is consumed by strtol()
  * Use @builddeps@ in the debian/tests/control file
  * apt-pkg/acquire-item.cc: make pkgAcqDiffIndex more uniform
  * Fix SmartConfigure to ignore ordering of packages that are already valid
  * doc/apt.8.xml: fix typo, thanks to Jakub Wilk (Closes: #756056)
  * doc/po/pt.po: updated, thanks to Américo Monteir (Closes: #756200)

  [ victory ]
  * Update Japanese documentation translation (Closes: #754817)

  [ Trần Ngọc Quân ]
  * l10n: vi.po (636t): Update one new string

  [ Julian Andres Klode ]
  * Fix debListParser to accept "no" as a value for the Multi-Arch field
    (Closes: #759099)

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 756710)

  [ Miroslav Kure ]
  * Czech program translation update (Closes: 758208)

  [ David Kalnischkies ]
  * add dpkg::source-options for dpkg-source invocation (Closes: 757534)
  * support versioned provides as implemented by dpkg (Closes: 758153)

 -- Michael Vogt <mvo@debian.org>  Wed, 27 Aug 2014 17:11:42 -0700

apt (1.0.6) unstable; urgency=medium

  [ Chris Leick ]
  * German translation reviewed by Erik Pfannenstein

  [ Michael Vogt ]
  * methods/http.cc: use Req.str() in debug output
  * Do not try to parse invalid translation files (LP: #756317)
  * Do not clean "/" in pkgAcquire::Clean/pkgArchiveCleaner (Closes: #753531)
  * Only show packages as upgradable if the have a CandidateVer != 0
    (Closes: #753297)

  [ Trần Ngọc Quân ]
  * l10n: vi.po: Update 3 new messages

  [ Joe Hansen ]
  * Danish program translation update (Closes: 753979)

  [ David Kalnischkies ]
  * handle moved mmap after UniqFindTagWrite call (Closes: #753941)

  [ Michele Orrù ]
  * use printf instead of echo in testing framework

  [ Cédric Barboiron ]


## apt 1.0.9.5

=== debian/changelog ===
apt (1.0.9.5) unstable; urgency=medium

  [ David Kalnischkies ]
  * dispose http(s) 416 error page as non-content (Closes: 768797)
  * do not make PTY slave the controlling terminal (Closes: 772641)
  * always run 'dpkg --configure -a' at the end of our dpkg callings
    (Closes: 769609)
  * pass-through stdin fd instead of content if not a terminal (Closes: 773061)

  [ James McCoy ]
  * tighten filtering of kernel images in apt.auto-removal (Closes: 772732)

  [ Jean-Pierre Giraud ]
  * French manpages translation update (Closes: 771967)

  [ Zhou Mo ]
  * Chinese (simplified) program translation update (Closes: 771982)

  [ Kenshi Muto ]
  * Japanese program translation update (Closes: 772678)

  [ Theppitak Karoonboonyanan ]
  * Thai program translation update (Closes: 772913)

 -- David Kalnischkies <david@kalnischkies.de>  Tue, 23 Dec 2014 13:22:42 +0100

apt (1.0.9.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * use 'best' hash for source authentication (LP: 1098738)
  * deprecate the Section member from package struct
  * allow options between command and -- on commandline
  * re-enable support for -s (and co) in apt-get source (Closes: 742578)
  * change codenames to jessie as stable POV in docs
  * close leaking slave fd after setting up pty magic (Closes: 767774)
  * fix PTY interaction on linux and kfreebsd (Closes: 765687)

  [ James McCoy ]
  * support long keyids in "apt-key del" instead of ignoring them
    (Closes: 754436)

  [ Michael Vogt ]
  * Use sysconf(_SC_ARG_MAX) to find the size of Dpkg::MaxArgBytes

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 771039)

  [ Julien Patriarca ]
  * French program translation update (Closes: 766755)

  [ Zhou Mo ]
  * Chinese (simplified) program translation update (Closes: 766170)

  [ Miroslav Kure ]
  * Czech program translation update (Closes: 764055)

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 763379)

  [ Kenshi Muto ]
  * Japanese program translation update (Closes: 763033)

  [ Manuel "Venturi" Porras Peralta ]
  * Spanish program translation update (Closes: 771815)

 -- David Kalnischkies <david@kalnischkies.de>  Wed, 03 Dec 2014 14:26:04 +0100

## apt 1.0.9.6

=== debian/changelog ===
apt (1.0.9.6) unstable; urgency=medium

  [ Michael Vogt ]
  * Fix missing URIStart() for https downloads
  * Add regression test for the previous commit

  [ David Kalnischkies ]
  * 128 KiB DSC files ought to be enough for everyone (Closes: 774893)
  * award points for positive dependencies again (Closes: 774924)

 -- Michael Vogt <mvo@ubuntu.com>  Fri, 16 Jan 2015 08:37:25 +0100

## apt 1.0.9.7

=== debian/changelog ===
apt (1.0.9.7) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Fix crash in the apt-transport-https when Owner is NULL (Closes: #778375)

 -- Michael Vogt <mvo@debian.org>  Mon, 23 Feb 2015 12:54:03 +0100

## apt 1.0.9.7ubuntu4

=== debian/changelog ===
apt (1.0.9.7ubuntu4) vivid; urgency=medium

  [ Michael Vogt ]
  * Fix crash in pkgDPkgPM::WriteApportReport(() (LP: #1436626)

 -- Michael Vogt <mvo@ubuntu.com>  Tue, 07 Apr 2015 12:28:32 +0200

apt (1.0.9.7ubuntu3) vivid; urgency=medium

  * test/integration/test-apt-download-progress:
    - give apt more time to gather download data in test

 -- Michael Vogt <mvo@ubuntu.com>  Mon, 23 Mar 2015 08:56:53 +0100

apt (1.0.9.7ubuntu2) vivid; urgency=medium

  * test/integration/test-apt-download-progress:
    - fix test failure on fast hardware

 -- Michael Vogt <mvo@ubuntu.com>  Fri, 20 Mar 2015 17:42:01 +0100

apt (1.0.9.7ubuntu1) vivid; urgency=low

  * Merged fixes from debian/sid (LP: #1431877)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Mar 2015 11:09:30 +0100

apt (1.0.9.3ubuntu1) vivid; urgency=low

  * Merged from debian/sid, remaining changes:
    - patch for apt cross-building, see http://bugs.debian.org/666772
    - ubuntu changelog download handling
    - apt-key net-update/apt-xapian-index
    - git-buildpackage config adjustments
    - ubuntu keyring

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Nov 2014 08:57:11 +0100

apt (1.0.9.2ubuntu2) utopic; urgency=medium

  [ David Kalnischkies ]
  * don't cleanup cdrom files in apt-get update (Closes: 765458)
    LP: #1381986

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Oct 2014 11:26:03 +0200

apt (1.0.9.2ubuntu1) utopic; urgency=low

  * merge fixes from debian/sid, most importantly CVE-2014-7206
    (LP: #1378680)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Oct 2014 10:45:34 +0200

apt (1.0.9.1ubuntu1) utopic; urgency=medium

  * merge fixes from debian/sid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Sep 2014 22:17:38 +0200

apt (1.0.8ubuntu3) utopic; urgency=low

  * fix autopkgtest

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Sep 2014 21:12:37 +0200

apt (1.0.8ubuntu2) utopic; urgency=high

  * SECURITY UPDATE:
    - incorrect invalidating of unauthenticated data (CVE-2014-0488)
    - incorect verification of 304 reply (CVE-2014-0487)
    - incorrect verification of Acquire::Gzip indexes (CVE-2014-0489)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Sep 2014 08:25:54 +0200

apt (1.0.8ubuntu1) utopic; urgency=low

  * merged fixes from debian/sid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Sep 2014 09:00:29 +0200

apt (1.0.4ubuntu8) utopic; urgency=medium

  * apt-pkg/deb/dpkgpm.cc:
    - update string matching for dpkg I/O errors. (LP: #1363257)
    - properly parse the dpkg status line so that package name is properly set
      and an apport report is created. Thanks to Anders Kaseorg for the patch.
      (LP: #1353171)

 -- Brian Murray <brian@ubuntu.com>  Fri, 29 Aug 2014 15:15:17 -0700

apt (1.0.4ubuntu7) utopic; urgency=medium

  * debian/tests/run-tests: tests don't get along with proxy, so unset proxy
    variables. See Debian #759655

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 29 Aug 2014 09:13:37 +0200

apt (1.0.4ubuntu6) utopic; urgency=low

  * apt-pkg/packagemanager.cc:
    - fix incorrect configure ordering in the SmartConfigure step
      by skiping packages that do not need immediate action
      (LP: #1347721)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Jul 2014 11:46:18 +0200

apt (1.0.4ubuntu5) utopic; urgency=medium

  [ Michael Vogt ]
  * Try not to parse invalid translation files (LP: #756317)

  [ Iain Lane ]
  * Remove stray *.debhelper files.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 04 Jul 2014 10:15:28 +0100

apt (1.0.4ubuntu4) utopic; urgency=medium

  * test/integration/test-essential-force-loopbreak: 
    - fix test on non-amd64 systems

 -- Michael Vogt <mvo@ubuntu.com>  Thu, 12 Jun 2014 10:56:09 +0200

apt (1.0.4ubuntu3) utopic; urgency=medium

  * ensure that test-apt-ftparchive-cachedb-lp1274466, 
    test-external-dependency-solver-protocol run in the ADT
    environment

 -- Michael Vogt <mvo@ubuntu.com>  Thu, 12 Jun 2014 08:47:29 +0200

apt (1.0.4ubuntu2) utopic; urgency=medium

  * debian/test/control:
    - add missing db-util to test dependencies
  * debian/tests/run-tests:
    - fix path for apt-internal-solver

 -- Michael Vogt <mvo@ubuntu.com>  Wed, 11 Jun 2014 14:51:31 +0200

apt (1.0.4ubuntu1) utopic; urgency=low

  * Merged from debian/sid, remaining changes:
    - patch for apt cross-building, see http://bugs.debian.org/666772
    - ubuntu changelog download handling
    - apt-key net-update/apt-xapian-index
    - git-buildpackage config adjustments
    - ubuntu keyring

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Jun 2014 19:00:00 +0200

apt (1.0.2ubuntu2) utopic; urgency=medium

  * apt-pkg/contrib/fileutl.cc: When checking gzip filesizes, cast
    size to uint32_t before setting it, so we don't end up playing
    with the wrong half of a uint64_t on big-endian architectures.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 25 Apr 2014 19:34:04 -0600

apt (1.0.2ubuntu1) utopic; urgency=low

  * merged with debian/sid, remaining changes:
    - ignore .distUpgrade files
    - patch for apt cross-building, see http://bugs.debian.org/666772
    - ubuntu changelog download handling
    - add linux-tools to "VersionedKernelPackages"
    - ubuntu changelog server
    - apt-key net-update/apt-xapian-index
    - git-buildpackage config adjustments
    - ubuntu keyring
    - enable apport

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Apr 2014 14:08:45 +0200

## apt 1.0.9.7ubuntu4.2

=== debian/changelog ===
apt (1.0.9.7ubuntu4.2) vivid; urgency=medium

  * Fix regression in the Never-MarkAuto-Sections feature caused by the
    previous auto-removal fix, with inspiration drawn from the patches
    and conversation from http://bugs.debian.org/793360 (LP: #1479207)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 01 Aug 2015 16:14:56 -0600

apt (1.0.9.7ubuntu4.1) vivid-proposed; urgency=low

  * test/integration/test-apt-download-progress:
    - disable as its too unreliable
  * Fix endless loop in apt-get update that can cause disk fillup
    LP: #1445239

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Jun 2015 16:09:44 +0200

## apt 1.0.9.8

=== debian/changelog ===
apt (1.0.9.8) unstable; urgency=medium

  [ David Kalnischkies ]
  * fix another d(e)select-upgrade typo (LP: #1399037)
  * properly handle expected filesize in https.
    Thanks to Robert Edmonds and Anders Kaseorg for initial patchs
    (Closes: 777565, 781509) (LP: #807303)
  * avoid depends on std::string implementation for pkgAcquire::Item::Mode
    (Closes: 781858)
  * demote VectorizeString gcc attribute from const to pure
  * keyids in "apt-key del" should be case-insensitive (Closes: 781696)
  * parse specific-arch dependencies correctly on single-arch systems
    (Closes: 777760)

  [ Michael Vogt ]
  * fix crash in order writing in pkgDPkgPM::WriteApportReport() (LP: #1436626)

 -- David Kalnischkies <david@kalnischkies.de>  Mon, 13 Apr 2015 07:14:36 +0200

## apt 1.0.9.8.1

=== debian/changelog ===
apt (1.0.9.8.1) stable; urgency=medium

  [ David Kalnischkies ]
  * parse specific-arch dependencies correctly on single-arch systems
    (Closes: 777760)
  * remove "first package seen is native package" assumption.
    Thanks to Axel Beckert for testing (Closes: 782777)

  [ Michael Vogt ]
  * Fix endless loop in apt-get update that can cause disk fillup
    (LP: #1445239)

 -- Michael Vogt <mvo@debian.org>  Wed, 10 Jun 2015 09:40:19 +0200
